org.apache.tools.ant.taskdefs.optional.perforce

## Class P4Submit.P4SubmitAdapter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter
  - - org.apache.tools.ant.taskdefs.optional.perforce.SimpleP4OutputHandler
    - - org.apache.tools.ant.taskdefs.optional.perforce.P4Submit.P4SubmitAdapter

All Implemented Interfaces:
  ExecuteStreamHandler, P4Handler

Enclosing class:
  P4Submit

    public class P4Submit.P4SubmitAdapter
    extends SimpleP4OutputHandler

internal class used to process the output of p4 submit

### Constructor Summary

Constructors
Constructor and Description
`P4Submit.P4SubmitAdapter(P4Base parent)` Constructor.

### Method Summary

Methods
`void` `process(java.lang.String line)` process a line of stdout/stderr coming from Perforce

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter

`setOutput, setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### P4Submit.P4SubmitAdapter

    public P4Submit.P4SubmitAdapter(P4Base parent)

Constructor.

Parameters:
  `parent` - a P4Base instance.

### Method Detail

#### process

    public void process(java.lang.String line)

process a line of stdout/stderr coming from Perforce

Specified by:
  `process` in interface `P4Handler`
Overrides:
  `process` in class `SimpleP4OutputHandler`
Parameters:
  `line` - line of stdout or stderr coming from Perforce